using System.Drawing.FontFamily.
using System.Drawing.FontStyle.
using System.Drawing.GraphicsUnit.

class System.Drawing.Font
inherits System.MarshalByRefObject:

   constructor public Font(input familyName as character,
                           input emSize as decimal,
                           input style as FontStyle,
                           input unit as GraphicsUnit,
                           input gdiCharSet as System.Byte):
   end constructor.

   constructor public Font(input family as FontFamily,
                           input emSize as decimal,
                           input style as FontStyle,
                           input unit as GraphicsUnit,
                           input gdiCharSet as System.Byte):
   end constructor.

   define property Name as character
      get.

   define property SizeInPoints as decimal
      get.

   define property Size as decimal
      get.

   define property FontFamily as System.Drawing.FontFamily
      get.

end class.