
class System.Windows.Forms.Control
inherits System.ComponentModel.Component
implements System.Windows.Forms.IDropTarget,
           System.ComponentModel.ISynchronizeInvoke,
           System.Windows.Forms.IWin32Window,
           System.Windows.Forms.IBindableComponent, 
           System.ComponentModel.IComponent,
           System.IDisposable:

   define property BackColor as System.Drawing.Color
      get.
      set.
   
   define property ForeColor as System.Drawing.Color
      get.
      set.
      
   define property Dock as System.Windows.Forms.DockStyle
      get.
      set.
      
   define property Height as integer
      get.
      set.
      
   define property Location as System.Drawing.Point
      get.
      set.
           
   define property Name as character
      get.
      set.
      
   define property Size as System.Drawing.Size
      get.
      set.
      
   define property MinimumSize as System.Drawing.Size
      get.
      set.

   define property MaximumSize as System.Drawing.Size
      get.
      set.

   define property TabIndex as integer
      get.
      set.
      
   define property Text as character
      get.
      set.
           
   define property Tag as System.Object
      get.
      set.

   define property Width as integer
      get.
      set.

   define property Controls as System.Windows.Forms.Control.ControlCollection
      get.

   define property Visible as logical
      get.
      set.
      
   define property Enabled as logical
      get.
      set.

   define property AutoSize as logical
      get.
      set.

   define property Font as System.Drawing.Font
      get.
      set.

   define property Anchor as System.Windows.Forms.AnchorStyles
      get.
      set.

   define property TabStop as logical
      get.
      set.

   define property ContextMenuStrip as System.Windows.Forms.ContextMenuStrip
      get.
      set.

   define property Margin as System.Windows.Forms.Padding
      get.
      set.

   define event ClientSizeChanged delegate System.EventHandler.

   define event Click delegate System.EventHandler.

   define event DoubleClick delegate System.EventHandler.

   define event KeyDown delegate System.KeyEventHandler.

   define event Leave delegate System.EventHandler.

   define event VisibleChanged delegate System.EventHandler.

   define event MouseDown delegate System.MouseEventHandler.

   define event MouseClick delegate System.MouseEventHandler.

   method public void Focus():
   end method.
           
   method public void Hide():
   end method.
           
   method public void PerformLayout():
   end method.
   
   method public void ResumeLayout(input layout as logical):
   end method.
   
   method public void Show():
   end method.
      
   method public void SuspendLayout():
   end method.

   method public void BringToFront():
   end method.

   method public void ResetText():
   end method.

end class.
